# RPM specfile for doorman module
# Generated Tue Jul  2 21:11:42 2002 GMT by Ximian build system
# $Id: bb_do,v 1.188 2002/06/24 17:56:02 frb Exp $
# from 

%define nam	doorman
%define ver	1.0.12
%define ximrev	1

Name:     	ximian-doorman
Version: 	1.0.12
Release:	2.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	doorman-1.0.12.tar.gz
Summary:	A desktop setup tool for first-time users.
Group:		User Interface/Desktop
Requires:	gnome-libs >= 1.0.60
Requires:	gdk-pixbuf >= 0.7.0
Requires:	ximian-wallpapers >= 0.1
Requires:	gtk-engines
Requires:	gtk-themes
Requires:	sawfish-themes
Requires:	sed
Requires:	perl
Provides:	ximian-ximian-doorman = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The doorman runs the first time a user logs into Ximian GNOME.  It steps the user through setting up his system and modifies his GNOME configuration files accordingly.

%files
%defattr(-, root, root)
%doc COPYING.ximian-logos AUTHORS INSTALL NEWS README
/usr/share/doorman/
/usr/bin/*
/usr/*/locale/*/LC_MESSAGES/*.mo


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n doorman-1.0.12
    ;;
all)
%setup  -q -n doorman-1.0.12
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    rm src/change-session.pl; automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Jul 2 2002 Ximian, Inc.

- Version: 1:1.0.12-2.ximian.1
- Summary: New build.
- New automated build.

* Mon Jun 24 2002 Ximian, Inc.

- Version: 1:1.0.11-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jun 11 2002 Ximian, Inc.

- Version: 1.0.10-1.ximian.1
- Summary: New build.
- New automated build.

* Fri May 3 2002 Ximian, Inc.

- Version: 1:1.0.9-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Mar 25 2002 Ximian, Inc.

- Version: 1.0.8.1-1.ximian.1
- Summary: New build.
- New automated build.

